/* Receive and decrypt counter from mega328 */
/* To view encrypted data open Serial Monitor and Print: Value */
/* The key must be same at sender and recevier */

#include "pc1.h"

volatile byte data;

void setup() 
{
    DDRB = 0xFF;
    PORTB = 0;
    Serial.begin(9600);
    data = 0;

	// 128-bit key //
    unsigned char crypt_key[16]={0xD4,0xB7,0xE3,0xE8,0x88,0x4C,0x3C,0x54,0x95,0x3F,0x71,0xAA,0x42,0x75,0xBA,0xD1};
		
	for (int i=0;i<16;i++) key[i]=crypt_key[i];
	initPc1();
}

void loop() 
{
    if( Serial.available() ) 
    {
        data = Serial.read();
		dataCrypt=data;
	    cryptPc1(1); /* 0 = crypt 1 = decrypt */
		data=dataCrypt;
        PORTB = data;
    }
}